{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.vesktop;
in
{
  options.marleyos.programs.vesktop.enable = mkEnableOption "vesktop";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      vesktop
    ];
  };
}
